package com.hzya.frame.mdm.mdmModuleOptionLog.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据模版(MdmModuleOptionLog)实体类
 *
 * @author makejava
 * @since 2024-06-05 16:10:32
 */
public class MdmModuleOptionLogEntity extends BaseEntity {
    //主数据表名
    private String tableName;
    //主数据编码
    private Long mdmCode;
  /**  主表id */
   private String formmainId;
  /**  来源名称 */
   private String sourceName;
  /**  状态 1、成功2、失败 */
   private String dataType;
  /**  备注 */
   private String remark;
  /**  编码 */
   private String code;
  /**  source_data */
   private String sourceData;
  /**  操作类型 */
   private String optionType;
  /**  操作人 */
   private String optionName;
  /**  公司id */
   private String companyId;


    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getDataType() {
        return dataType;
    }

    public void setDataType(String dataType) {
        this.dataType = dataType;
    }

    public String getFormmainId() {
        return formmainId;
    }

    public void setFormmainId(String formmainId) {
        this.formmainId = formmainId;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSourceData() {
        return sourceData;
    }

    public void setSourceData(String sourceData) {
        this.sourceData = sourceData;
    }

    public String getOptionType() {
        return optionType;
    }

    public void setOptionType(String optionType) {
        this.optionType = optionType;
    }

    public String getOptionName() {
        return optionName;
    }

    public void setOptionName(String optionName) {
        this.optionName = optionName;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Long getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(Long mdmCode) {
        this.mdmCode = mdmCode;
    }
}

